Debian Bug report logs - #386652
neon26: please remove .la file

version graph

Package: libneon26-dev; Maintainer for libneon26-dev is (unknown);

Reported by: Peter Samuelson <peter@p12n.org>

Date: Sat, 9 Sep 2006 05:33:52 UTC

Severity: normal

Found in version neon26/0.26.1-1

Fixed in version neon26/0.26.1-2

Done: Laszlo Boszormenyi (GCS) <gcs@debian.hu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#386652; Package libneon26-dev. Full text and rfc822 format available.

Acknowledgement sent to Peter Samuelson <peter@p12n.org>:
New Bug report received and forwarded. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Samuelson <peter@p12n.org>
To: submit@bugs.debian.org
Subject: neon26: please remove .la file
Date: Sat, 9 Sep 2006 00:27:51 -0500
Package: libneon26-dev
Version: 0.26.1-1

> > Could I suggest removing the .la file from libneon26-dev?
>  Yes, will do.

Please do.  I was going to use neon26 for uploading svn 1.4.0 today,
but I can't because the .la file is still present.  I'll revert to
neon25 until you fix this.

(If I upload libsvn to use neon26, it will reference libneon.la in its
own .la files; then if you later remove libneon.la, it will break.)



Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Peter Samuelson <peter@p12n.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 386652-close@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
To: 386652-close@bugs.debian.org
Subject: Bug#386652: fixed in neon26 0.26.1-2
Date: Fri, 20 Oct 2006 11:46:44 -0700
Source: neon26
Source-Version: 0.26.1-2

We believe that the bug you reported is fixed in the latest version of
neon26, which is due to be installed in the Debian FTP archive:

libneon26-dbg_0.26.1-2_i386.deb
  to pool/main/n/neon26/libneon26-dbg_0.26.1-2_i386.deb
libneon26-dev_0.26.1-2_i386.deb
  to pool/main/n/neon26/libneon26-dev_0.26.1-2_i386.deb
libneon26-gnutls-dbg_0.26.1-2_i386.deb
  to pool/main/n/neon26/libneon26-gnutls-dbg_0.26.1-2_i386.deb
libneon26-gnutls-dev_0.26.1-2_i386.deb
  to pool/main/n/neon26/libneon26-gnutls-dev_0.26.1-2_i386.deb
libneon26-gnutls_0.26.1-2_i386.deb
  to pool/main/n/neon26/libneon26-gnutls_0.26.1-2_i386.deb
libneon26_0.26.1-2_i386.deb
  to pool/main/n/neon26/libneon26_0.26.1-2_i386.deb
neon26_0.26.1-2.diff.gz
  to pool/main/n/neon26/neon26_0.26.1-2.diff.gz
neon26_0.26.1-2.dsc
  to pool/main/n/neon26/neon26_0.26.1-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386652@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laszlo Boszormenyi (GCS) <gcs@debian.hu> (supplier of updated neon26 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 28 Aug 2006 21:46:01 +0200
Source: neon26
Binary: libneon26 libneon26-gnutls-dbg libneon26-gnutls-dev libneon26-gnutls libneon26-dbg libneon26-dev
Architecture: source i386
Version: 0.26.1-2
Distribution: unstable
Urgency: low
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Changed-By: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Description: 
 libneon26  - An HTTP and WebDAV client library
 libneon26-dbg - Detached symbols for libneon26
 libneon26-dev - Header and static library files for libneon26
 libneon26-gnutls - An HTTP and WebDAV client library (GnuTLS enabled)
 libneon26-gnutls-dbg - Detached symbols for libneon26 (GnuTLS enabled)
 libneon26-gnutls-dev - Header and static library files for libneon26 (GnuTLS enabled)
Closes: 384494 386652 392005
Changes: 
 neon26 (0.26.1-2) unstable; urgency=low
 .
   * Remove .la file from binary packages (closes: #386652).
   * Correct bitwise vs logical 'and' in ne_auth.c (closes: #392005).
   * New binary to support both openssl and gnutls and add thread safety
     support (closes: #384494). Thanks for Sebastian Harl <sh@tokkee.org> for
     his valuable help!
Files: 
 82ada2d002b62dd65f84a6b872a99f08 781 net optional neon26_0.26.1-2.dsc
 3929ec5065ccfd7e6f4ba8cfb1ee66a8 7064 net optional neon26_0.26.1-2.diff.gz
 f10aa67284c5055af30377dca96ff31e 117282 libs optional libneon26_0.26.1-2_i386.deb
 0540de8bd66b77997c24a9e0732693f7 305118 libdevel optional libneon26-dev_0.26.1-2_i386.deb
 db5413fb3c1e64f9aef0a25435ad08eb 155770 libdevel extra libneon26-dbg_0.26.1-2_i386.deb
 dd026e39ff4a79309a76961cbefe7aeb 92696 libs optional libneon26-gnutls_0.26.1-2_i386.deb
 47b6046926f72ec61603ae0bd78d899d 277338 libdevel optional libneon26-gnutls-dev_0.26.1-2_i386.deb
 9a5794e9760d02cacca6f1694bf50e97 135932 libdevel extra libneon26-gnutls-dbg_0.26.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFK9iiMDatjqUaT90RApUvAKCMGMVbj+Nrwtqj++WSeYba7zKFhQCZAbVf
U+r50XPHofbb7iL+DooPBUI=
=oQzQ
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#386652; Package libneon26-dev. Full text and rfc822 format available.

Acknowledgement sent to Nicolás Lichtmaier <nick@reloco.com.ar>:
Extra info received and forwarded to list. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. Full text and rfc822 format available.

Message #17 received at 386652@bugs.debian.org (full text, mbox):

From: Nicolás Lichtmaier <nick@reloco.com.ar>
To: 386652@bugs.debian.org
Subject: That's the wait .la files are supposed to work!
Date: Fri, 24 Nov 2006 04:05:13 -0300
The .la file should be put back.




Information forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#386652; Package libneon26-dev. Full text and rfc822 format available.

Acknowledgement sent to Stefan Soellner <postbox@soellner.info>:
Extra info received and forwarded to list. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. Full text and rfc822 format available.

Message #22 received at 386652@bugs.debian.org (full text, mbox):

From: Stefan Soellner <postbox@soellner.info>
To: 386652@bugs.debian.org
Subject: WTH? Senseless....
Date: Mon, 20 Aug 2007 01:50:09 +0200
Please move .la back! 




Information forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#386652; Package libneon26-dev. Full text and rfc822 format available.

Acknowledgement sent to "C. Michael Pilato" <cmpilato@collab.net>:
Extra info received and forwarded to list. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. Full text and rfc822 format available.

Message #27 received at 386652@bugs.debian.org (full text, mbox):

From: "C. Michael Pilato" <cmpilato@collab.net>
To: 386652@bugs.debian.org
Subject: Incomplete job
Date: Wed, 21 Nov 2007 00:20:51 -0500
[Message part 1 (text/plain, inline)]
I don't know whether or not it's Correct to remove the .la file from the
neon package (though I strongly suspect not).

However, I'm pretty confident that when you removed the .la file from the
package, you should have also caused 'neon-config --la-file' to stop
claiming that callers could find the .la file for neon in a place it no
longer resides.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#386652; Package libneon26-dev. Full text and rfc822 format available.

Acknowledgement sent to Peter Samuelson <peter@p12n.org>:
Extra info received and forwarded to list. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. Full text and rfc822 format available.

Message #32 received at 386652@bugs.debian.org (full text, mbox):

From: Peter Samuelson <peter@p12n.org>
To: "C. Michael Pilato" <cmpilato@collab.net>, 386652@bugs.debian.org
Subject: Re: Bug#386652: Incomplete job
Date: Tue, 20 Nov 2007 23:37:16 -0600
[Message part 1 (text/plain, inline)]
[C. Michael Pilato]
> I'm pretty confident that when you removed the .la file from the
> package, you should have also caused 'neon-config --la-file' to stop
> claiming that callers could find the .la file for neon in a place it
> no longer resides.

Yeah, well ... the --la-file option itself is a poor interface.  The
very existence of a ".la file" should be a libtool implementation
detail that libraries and applications never need to know about.  They
should be asking "what do I add to my link line to link to neon", not
"what is the filename for the internal libtool metadata for libneon".

That said, since 'neon-config --la-file' is a preexisting interface, it
should have been handled better.  In practice the question it is
answering is equivalent to "what do I add to my link line", so it
should answer accordingly, meaning it should give the same output as
'neon-config --libs'.

As for the question of whether the .la file should have been deleted -
I still think it should be deleted.  libtool functions fine without a
.la file, the need for this file was artificial created by neon-config
having an option to expose the .la filename, which AFAICT applications
never actually needed.
-- 
Peter Samuelson | org-tld!p12n!peter | http://p12n.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#386652; Package libneon26-dev. Full text and rfc822 format available.

Acknowledgement sent to "C. Michael Pilato" <cmpilato@collab.net>:
Extra info received and forwarded to list. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. Full text and rfc822 format available.

Message #37 received at 386652@bugs.debian.org (full text, mbox):

From: "C. Michael Pilato" <cmpilato@collab.net>
To: 386652@bugs.debian.org
Subject: Re: Bug#386652: Incomplete job
Date: Wed, 21 Nov 2007 01:33:02 -0500
[Message part 1 (text/plain, inline)]
[Peter Samuelson]
> Yeah, well ... the --la-file option itself is a poor interface.  The
> very existence of a ".la file" should be a libtool implementation
> detail that libraries and applications never need to know about.  They
> should be asking "what do I add to my link line to link to neon", not
> "what is the filename for the internal libtool metadata for libneon".

Like I said, I don't know what's Correct.  Clearly you've got opinions
about how things would be in an ideal world.

> That said, since 'neon-config --la-file' is a preexisting interface, it
> should have been handled better.  In practice the question it is
> answering is equivalent to "what do I add to my link line", so it
> should answer accordingly, meaning it should give the same output as
> 'neon-config --libs'.

Or, why not simply ship the .la file as libneon26.la, and have
neon-config refer to that?  There's absolutely no reason that I can
think of why this can't all be done in a way that allows multiple
versions of neon to coexist.

> As for the question of whether the .la file should have been deleted -
> I still think it should be deleted.  libtool functions fine without a
> .la file, the need for this file was artificial created by neon-config
> having an option to expose the .la filename, which AFAICT applications
> never actually needed.

Unfortunately, this seems to break the build of the very software you
originally wished to make this change for -- Subversion.  Subversion
uses 'neon-config --la-file' to find neon.


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#386652; Package libneon26-dev. Full text and rfc822 format available.

Acknowledgement sent to "Tuncer Ayaz" <tuncer.ayaz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. Full text and rfc822 format available.

Message #42 received at 386652@bugs.debian.org (full text, mbox):

From: "Tuncer Ayaz" <tuncer.ayaz@gmail.com>
To: 386652@bugs.debian.org
Subject: Re: Bug#386652: Incomplete job
Date: Tue, 5 Feb 2008 16:35:45 +0100
Just out of curiosity, would the following change break anything?
--- configure.orig      2008-01-25 10:55:34.000000000 +0100
+++ configure   2008-01-25 10:56:14.000000000 +0100
@@ -4345,7 +4345,7 @@
            test "$svn_allowed_neon" = "any"; then
             svn_allowed_neon_on_system="yes"
             SVN_NEON_INCLUDES=`$neon_config --cflags | sed -e 's/-D[^ ]*//g'`
-            NEON_LIBS=`$neon_config --la-file`
+            NEON_LIBS=`$neon_config --libs`
             CFLAGS="$CFLAGS `$neon_config --cflags | sed -e 's/-I[^ ]*//g'`"
             svn_lib_neon="yes"
             break




Information forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#386652; Package libneon26-dev. Full text and rfc822 format available.

Acknowledgement sent to "Tuncer Ayaz" <tuncer.ayaz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. Full text and rfc822 format available.

Message #47 received at 386652@bugs.debian.org (full text, mbox):

From: "Tuncer Ayaz" <tuncer.ayaz@gmail.com>
To: 386652@bugs.debian.org
Cc: cmpilato@collab.net
Subject: Re: Bug#386652: Incomplete job
Date: Wed, 6 Feb 2008 13:04:56 +0100
On Feb 5, 2008 4:35 PM, Tuncer Ayaz <tuncer.ayaz@gmail.com> wrote:
> Just out of curiosity, would the following change break anything?
> --- configure.orig      2008-01-25 10:55:34.000000000 +0100
> +++ configure   2008-01-25 10:56:14.000000000 +0100
> @@ -4345,7 +4345,7 @@
>             test "$svn_allowed_neon" = "any"; then
>              svn_allowed_neon_on_system="yes"
>              SVN_NEON_INCLUDES=`$neon_config --cflags | sed -e 's/-D[^ ]*//g'`
> -            NEON_LIBS=`$neon_config --la-file`
> +            NEON_LIBS=`$neon_config --libs`
>              CFLAGS="$CFLAGS `$neon_config --cflags | sed -e 's/-I[^ ]*//g'`"
>              svn_lib_neon="yes"
>              break
>

I'm asking because the version I built that way on Etch passes "make check"
except some skipped tests which I did not skip manually.
Shouldn't it be safe to apply this change to upstream subversion?




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jun 2008 07:34:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:55:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.